<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="gunfight">
        <counters>
            <coins index="0" number="7" />
        </counters>
        <input>
            <port tag="IN0" type="P1_JOYSTICK_DOWN" mask="2" defvalue="0">
                <newseq type="standard">
                    KEYCODE_X
                </newseq>
            </port>
            <port tag="IN0" type="P1_JOYSTICK_LEFT" mask="4" defvalue="0">
                <newseq type="standard">
                    KEYCODE_A
                </newseq>
            </port>
            <port tag="IN0" type="P1_JOYSTICK_RIGHT" mask="8" defvalue="0">
                <newseq type="standard">
                    KEYCODE_D
                </newseq>
            </port>
            <port tag="IN0" type="P1_POSITIONAL_V" mask="112" defvalue="48">
                <newseq type="decrement">
                    KEYCODE_E
                </newseq>
                <newseq type="increment">
                    KEYCODE_C
                </newseq>
            </port>
            <port tag="IN0" type="P1_BUTTON1" mask="128" defvalue="0">
                <newseq type="standard">
                    KEYCODE_S
                </newseq>
            </port>
            <port tag="IN1" type="P2_JOYSTICK_UP" mask="1" defvalue="0">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port tag="IN1" type="P2_JOYSTICK_DOWN" mask="2" defvalue="0">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port tag="IN1" type="P2_JOYSTICK_LEFT" mask="4" defvalue="0">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port tag="IN1" type="P2_JOYSTICK_RIGHT" mask="8" defvalue="0">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port tag="IN1" type="P2_POSITIONAL_V" mask="112" defvalue="48">
                <newseq type="decrement">
                    KEYCODE_O
                </newseq>
                <newseq type="increment">
                    KEYCODE_L
                </newseq>
            </port>
            <port tag="IN1" type="P2_BUTTON1" mask="128" defvalue="0">
                <newseq type="standard">
                    KEYCODE_RCONTROL
                </newseq>
            </port>
        </input>
    </system>
</mameconfig>
